oracle.jcr.query

## Interface OracleQueryResult

All Superinterfaces:
  QueryResult

Deprecated.
OracleQueryResult is the result of executing an OracleQuery.

    public interface OracleQueryResult
    extends QueryResult

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `close()` Deprecated. Closes this OracleQueryResult, releasing any resources held.

### Methods inherited from interface javax.jcr.query.QueryResult

`getColumnNames, getNodes, getRows`

### Method Detail

#### close

    void close()

Deprecated.
Closes this OracleQueryResult, releasing any resources held.

If this OracleQueryResult was returned by calling the `execute` method of OracleQuery with a `willClose` of `true`, `close` must be called after processing query results to ensure all resources held by the query are released.

Copyright © 2003, 2019, Oracle and/or its affiliates. All rights reserved.
Use is subject to license terms. Also see the documentation redistribution policy.
ORACLE CONFIDENTIAL
For authorized use only.
Do not distribute to third parties.